[WAYANG-assembly] correction to wayang-submit and minnors

Signed-off-by: bertty <bertty@apache.org>
diff --git a/bin/wayang-submit b/bin/wayang-submit
index 74144e0..a0ef256 100755
--- a/bin/wayang-submit
+++ b/bin/wayang-submit
@@ -16,6 +16,9 @@
 # limitations under the License.
 #
 
+CLASS=$1
+
+
 if [ -z "${CLASS}" ]; then
     echo "Target Class for execution was not provided"
     exit 1
@@ -43,10 +46,10 @@
   exit 1
 fi
 
-if [ -z "${FLINK_HOME}" ]; then
-  echo "The variable FLINK_HOME it needs to be setup" >&2
-  exit 1
-fi
+#if [ -z "${FLINK_HOME}" ]; then
+#  echo "The variable FLINK_HOME it needs to be setup" >&2
+#  exit 1
+#fi
 
 if [ -z "${HADOOP_HOME}" ]; then
   echo "The variable HADOOP_HOME it needs to be setup" >&2
@@ -66,18 +69,18 @@
 fi
 
 # Find Spark jars.
-if [ -d "${SPARK_HOME}/jars" ]; then
+if [ -d "${SPARK_HOME}" ]; then
   SPARK_JARS_DIR="${SPARK_HOME}/jars"
 fi
 
 # Find Hadoop jars.
-if [ -d "${HADOOP_HOME}/jars" ]; then
+if [ -d "${HADOOP_HOME}" ]; then
   HADOOP_JARS_DIR="${HADOOP_HOME}/share/hadoop/common/*:${HADOOP_HOME}/share/hadoop/common/lib/*"
 fi
 
 
-WAYANG_CODE = "${WAYANG_HOME}/lib"
-WAYANG_CONF = "${WAYANG_HOME}/conf"
+WAYANG_CODE="${WAYANG_HOME}/lib"
+WAYANG_CONF="${WAYANG_HOME}/conf"
 
 # Bootstrap the classpath.
 WAYANG_CLASSPATH="${WAYANG_CONF}:${WAYANG_CODE}/*"
@@ -97,5 +100,6 @@
 	FLAGS="${FLAGS} ${OTHER_FLAGS}"
 fi
 
-RUNNER $FLAGS -cp "${WAYANG_CLASSPATH}" $CLASS $*
+echo "$RUNNER $FLAGS -cp "${WAYANG_CLASSPATH}" $CLASS ${@:2}"
+eval "$RUNNER $FLAGS -cp "${WAYANG_CLASSPATH}" $CLASS ${@:2}"
 
diff --git a/build/check-license.sh b/build/check-license.sh
index f38f89d..4e7ccbf 100755
--- a/build/check-license.sh
+++ b/build/check-license.sh
@@ -48,10 +48,13 @@
 rat_opts+=("-e" "^.*.md")
 rat_opts+=("-e" "^.*.iml")
 rat_opts+=("-e" "^.*_pb2.py") # code generated by protocol buffer
+rat_opts+=("-e" "^.*.properties")
 rat_opts+=("-e" "Gemfile.lock")
 rat_opts+=("-e" ".gitignore")
 rat_opts+=("-e" ".gitmodules")
 rat_opts+=("-e" ".rat-excludes")
+
+
 if [[ ! -z "$RAT_EXCLUSION" ]]; then
    rat_opts+=("-E")
    rat_opts+=($RAT_EXCLUSION)
diff --git a/pom.xml b/pom.xml
index 49c7aff..f342983 100644
--- a/pom.xml
+++ b/pom.xml
@@ -1253,6 +1253,7 @@
                         <exclude>**/*pb2.py</exclude>
                         <exclude>**/.rat-excludes</exclude>                      
                         <exclude>**/*.csv</exclude>
+                        <exclude>**/*.properties</exclude>
                     </excludes>
                 </configuration>
             </plugin>
diff --git a/wayang-assembly/pom.xml b/wayang-assembly/pom.xml
index e85a976..c2050ca 100644
--- a/wayang-assembly/pom.xml
+++ b/wayang-assembly/pom.xml
@@ -36,6 +36,7 @@
     <sbt.project.name>assembly</sbt.project.name>
     <build.testJarPhase>none</build.testJarPhase>
     <build.copyDependenciesPhase>package</build.copyDependenciesPhase>
+    <wayang.name>wayang-${project.version}</wayang.name>
   </properties>
 
 
diff --git a/wayang-assembly/src/main/assembly/assembly.xml b/wayang-assembly/src/main/assembly/assembly.xml
index b232f3c..73b43d1 100644
--- a/wayang-assembly/src/main/assembly/assembly.xml
+++ b/wayang-assembly/src/main/assembly/assembly.xml
@@ -29,12 +29,13 @@
       <includes>
         <include>README.md</include>
       </includes>
+      <outputDirectory>${wayang.name}/</outputDirectory>
     </fileSet>
     <fileSet>
       <directory>
         ${project.parent.basedir}/bin/
       </directory>
-      <outputDirectory>bin</outputDirectory>
+      <outputDirectory>${wayang.name}/bin</outputDirectory>
       <includes>
         <include>**/*</include>
       </includes>
@@ -43,7 +44,7 @@
       <directory>
         ${project.parent.basedir}/conf/
       </directory>
-      <outputDirectory>conf</outputDirectory>
+      <outputDirectory>${wayang.name}/conf</outputDirectory>
       <includes>
         <include>**/*</include>
       </includes>
@@ -52,7 +53,7 @@
       <directory>
         ${project.parent.basedir}/assembly/target/
       </directory>
-      <outputDirectory>jars</outputDirectory>
+      <outputDirectory>${wayang.name}/jars</outputDirectory>
       <includes>
         <include>*</include>
       </includes>
@@ -69,7 +70,7 @@
       </excludes>
     </dependencySet>
     <dependencySet>
-      <outputDirectory>lib</outputDirectory>
+      <outputDirectory>${wayang.name}/lib</outputDirectory>
       <useTransitiveDependencies>true</useTransitiveDependencies>
       <unpack>false</unpack>
       <useProjectArtifact>false</useProjectArtifact>